#92477 Report by node travis-ci covering 1715 tests from 45 modules resulted into 1 error

Report

ObsPy Version
1.1.0.post0+91.g3c47c016d1
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/341045970
GitHub Pull Request
https://github.com/obspy/obspy/pull/2069
Report File
XML Document
Total Runtime
463.0 sec
Report Date/Time
2018-02-13 11:47:42

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
i386
Python Compiler
GCC 4.2.1 Compatible Clang 4.0.1 (tags/RELEASE_401/final)
Python Implementation
CPython
Python Version
3.6.4
Release
16.7.0
System
Darwin
Version
Darwin Kernel Version 16.7.0: Thu Jun 15 17:36:27 PDT 2017; root:xnu-3789.70.16~2/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.2.1
flake8
---
future
0.16.0
geographiclib
1.49
lxml.etree
4.1.1
m2crypto
---
matplotlib
2.0.2
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.13.3
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.18.4
scipy
1.0.0
setuptools
38.4.0
shapefile
1.2.12
sqlalchemy
1.2.1

Modules (45)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 1 1
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 1 1

Tracebacks (1)

Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connection.py", line 141, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/util/connection.py", line 60, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/socket.py", line 745, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 346, in _make_request
self._validate_conn(conn)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 850, in _validate_conn
conn.connect()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connection.py", line 284, in connect
conn = self._new_conn()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connection.py", line 150, in _new_conn
self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x1c0ec29668>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/adapters.py", line 440, in send
timeout=timeout
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/urllib3/util/retry.py", line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /test.sac (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1c0ec29668>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known',))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/tests/test_stream.py", line 1839, in test_read_url_via_network
tr = read('https://examples.obspy.org/test.sac', dtype=np.int32)[0]
File "<decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/stream.py", line 229, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/core/util/base.py", line 566, in download_to_file
r = requests.get(url, stream=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/api.py", line 72, in get
return request('get', url, params=params, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/api.py", line 58, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
resp = self.send(prep, **send_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
r = adapter.send(request, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/requests/adapters.py", line 508, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /test.sac (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1c0ec29668>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known',))

Skipped Tests (13)

Submodule Test Skip Message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
29.091s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
16.508s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
14.434s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
13.651s __init__ (obspy.taup)
10.990s test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase)
10.870s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
10.342s test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
10.185s test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase)
10.125s test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
9.502s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
7.994s test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase)
6.541s plot_travel_times (obspy.taup.tau)
6.379s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
6.360s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
6.093s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
5.892s test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase)
5.632s test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
5.332s test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase)
5.093s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
4.983s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)

Chuck Norris Fact

The Chuck Norris military unit was not used in the game Civilization 4, because a single Chuck Norris could defeat the entire combined nations of the world in one turn.